AsterNet Class Library (Sandcastle documentation)

| SetCDRUserFieldAction Constructor (String, String, Boolean)

Creates a new SetCDRUserFieldAction that sets the user field of the call detail record for the given channel to the given value.

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public SetCDRUserFieldAction(
    	string channel,
    	string userField,
    	bool append
    )

    Public Sub New (
    	channel As String,
    	userField As String,
    	append As Boolean
    )

    public:
    SetCDRUserFieldAction(
    	String^ channel,
    	String^ userField,
    	bool append
    )

    new :
            channel : string *
            userField : string *
            append : bool -> SetCDRUserFieldAction

#### Parameters

channel
  Type: System
  String
  the name of the channel
userField
  Type: System
  String
  the new value of the userfield
append
  Type: System
  Boolean
  true to append the value to the cdr user field or false to overwrite

See Also

#### Reference

SetCDRUserFieldAction Class
SetCDRUserFieldAction Overload
AsterNET.Manager.Action Namespace